Send File to Users

Send file to Evrotrust users.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Valid values:

"document" Only pdf files are allowed for multiple users.
"description": max chars 4000
"dateExpire": timestamp
"coverage": 0, 500, 2000, 20000, 100000, 250000. The amount is in euro. 0 stands for unlimited.
"certificateType": "integer" valid values 1 - Е-Sign Qualified; 2 - E-Sign Advanced; If certificateType is 2, only coverage 500 is accepted.
"preview": 0/1 whether the document requires previewing before signing
"checksumDocument": SHA-512 of the file
"annotationParameters": Optional. If used can appear up to 4 times.
"annotationText": mandatory, up to 255 symbols
"fontName": mandatory
"fontSize": mandatory. Must be a whole digit between 3 and 72
"fontColor": mandatory. Must be in CSS hex notation between “#000000” and “#ffffff” (“#000000” for black)
"axisX": mandatory, integer. - Must be between 0 and 596 (for A4) or 612 (for Letter)
"asixY": mandatory, integer. Must be between 0 and 843 (for A4) or 792 (for Letter)
"page": mandatory, integer. “0” for all pages, 1 … to specify the exact page number

"signInfo"
"type": "PDF1" (PDF Baseline), "PDF2" (PDF Baseline + Long Term), "PDF3" (PDF Baseline + Timestamp), "XML1" (XML Baseline), "XML2" (XML Baseline + Long Term), "XML3" (XML Baseline), "XML4" (XML Baseline + Long Term), "CAD1" (Sign any file type), "CAD2" (Sign any file type with timestamp)
"algorithm": "SHA256"

"users":
Users that will sign the document sequentially. The elements have to be between 2 and 15. Has to be provided one of the user identifier:

  • "identificationNumber" and "country" for manual signing;
  • "email" for manual signing;
  • phone" for manual signing;
  • "automatedSignCertID" for automated signing;
  • "automatedSignSealID" for automated signing.

"identificationNumber": Personal identification number.
"country": Optional with default value "BG". Valid values are the ISO 3166-1 alpha-2 codes.
"email": E-mail address.
"phone": Should match the following pattern "+[0-9]"
"automatedSignCertID": Should match the following pattern "[a-zA-Z0-9-]36"
"automatedSignSealID": Should match the following pattern "[a-zA-Z0-9-]36"
"employee": Optional with default value 0. If it's 1, it indicates that the user is employee of the company and will not be able to see the signed document in Evrotrust mobile application.

"BIOrequired": 0/1 Optional parameter. Default value 0.

"urlCallback": Optional parameter. Only https:// is allowed. It has to be sent a host name if Evrotrust Vendor callback API is used.

"vendorNumber": "string".

"publicKey": base64 encoded string of public key, necessary for encryption process.

Return values:

"threadID"
Unique ID refers to the signing operation.

"transactionID"
Unique ID refers to a single document of the signing operation.

For example: One document send to be signed by two users. Every user will have a different transactionID, but the same threadID.

Body Params
file
required

The PDF file to upload (binary data). File name limitation: up to 100 characters. Forbidden symbols in the file name: <>:"/|?*'!#$%&+=

json
required

JSON string containing document metadata, signing configuration, and user information. See the example for the complete structure.

{
"document": {
"description": "string",
"dateExpire": 0,
"certificateType": 0,
"coverage": 0,
"preview": 0,
"checksumDocument": "string",
"annotationParameters": [{
"annotationText": "string",
"fontName": "string",
"fontSize": "integer",
"fontColor": "string",
"axisX": "integer",
"axisY": "integer",
"page": "integer"
}]
},
"signInfo": {
"type": "string",
"algorithm": "string"
},
"BIOrequired": 0,
"urlCallback": "string",
"vendorNumber": "string",
"users": [{
"identificationNumber": "string",
"country": "string",
"email": "string",
"phone": "string",
"automatedSignCertID": "string",
"automatedSignSealID": "string",
"employee": 0}] ,
"publicKey": "string"
}

Headers
string
required

HMAC-SHA256 signature of the data field content using your vendor API key.

Responses
200

Language
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json